Summary:	Tools for the Hughski Colorimeter
Summary(pl.UTF-8):	Narzędzia do kolorymetrów Hughski
Name:		colorhug-client
Version:	0.2.1
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
# Source0-md5:	2f54a15b354cd39d8b58572e9899fd88
URL:		http://hughski.com/
BuildRequires:	colord-devel >= 0.1.31
BuildRequires:	colord-gtk-devel >= 0.1.24
BuildRequires:	docbook-utils
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.31.10
BuildRequires:	gobject-introspection-devel >= 0.9.8
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.50.0
BuildRequires:	lcms2-devel
BuildRequires:	libcanberra-gtk3-devel >= 0.10
BuildRequires:	libgusb-devel >= 0.1.4
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	colord-libs >= 0.1.31
Requires:	glib2 >= 1:2.31.10
Requires:	libgusb >= 0.1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# why programs are installed to libexecdir in the first place?
%define		_libexecdir	%{_bindir}

%description
The Hughski ColorHug colorimeter is a low cost open-source hardware
sensor used to calibrate screens.

This package includes the client tools which allows the user to
upgrade the firmware on the sensor or to access the sensor from
command line scripts.

%description -l pl.UTF-8
Hughski ColorHug to niskobudżetowy kolorymetr z sensorem sprzętowym,
mający otwarte źródła, służący do kalibrowania ekranów.

Ten pakiet zawiera narzędzia klienckie pozwalające uaktualniać
firmware sensora oraz operować sensorem z linii poleceń.

%package gui
Summary:	GUI tools for the Hughski Colorimeter
Summary(pl.UTF-8):	Graficzne narzędzia do kolorymetrów Hughski
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	colord-gtk >= 0.1.24
Requires:	gtk+3 >= 3.0.0
Requires:	libcanberra-gtk3 >= 0.10

%description gui
The Hughski ColorHug colorimeter is a low cost open-source hardware
sensor used to calibrate screens.

This package includes the GUI client tools which allow the user to
access the sensor.

%description gui -l pl.UTF-8
Hughski ColorHug to niskobudżetowy kolorymetr z sensorem sprzętowym,
mający otwarte źródła, służący do kalibrowania ekranów.

Ten pakiet zawiera graficzne narzędzia klienckia pozwalające operować
sensorem.

%package -n bash-completion-colorhug
Summary:	Bash completion support for ColorHug console commands
Summary(pl.UTF-8):	Bashowe uzupełnianie składni dla poleceń terminalowych ColorHuga
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-colorhug
Bash completion support for ColorHug console commands.

%description -n bash-completion-colorhug -l pl.UTF-8
Bashowe uzupełnianie składni dla poleceń terminalowych ColorHuga.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# remove empty de locale
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/de
mv $RPM_BUILD_ROOT%{_localedir}/{cs_CZ,cs}
mv $RPM_BUILD_ROOT%{_localedir}/{de_DE,de}
mv $RPM_BUILD_ROOT%{_localedir}/{el_GR,el}
mv $RPM_BUILD_ROOT%{_localedir}/{es_ES,es}
mv $RPM_BUILD_ROOT%{_localedir}/{fr_FR,fr}
mv $RPM_BUILD_ROOT%{_localedir}/{it_IT,it}
mv $RPM_BUILD_ROOT%{_localedir}/{ja_JP,ja}
mv $RPM_BUILD_ROOT%{_localedir}/{nl_NL,nl}
mv $RPM_BUILD_ROOT%{_localedir}/{pt_PT,pt}
# empty version of pl which already exists
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/pl_PL
# program not packaged (unfinished as of 0.1.13)
%{__rm} $RPM_BUILD_ROOT%{_desktopdir}/colorhug-spectro-util.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/colorhug
%attr(755,root,root) %{_bindir}/colorhug-cmd
%attr(755,root,root) %{_bindir}/colorhug-inhx32-to-bin
%{_datadir}/glib-2.0/schemas/com.hughski.colorhug-client.gschema.xml
%{_mandir}/man1/colorhug-cmd.1*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/colorhug-ccmx
%attr(755,root,root) %{_bindir}/colorhug-flash
%{_datadir}/colorhug-client
%{_datadir}/appdata/colorhug-ccmx.appdata.xml
%{_datadir}/appdata/colorhug-flash.appdata.xml
%{_datadir}/help/C/colorhug-client
%{_desktopdir}/colorhug-ccmx.desktop
%{_desktopdir}/colorhug-docs.desktop
%{_desktopdir}/colorhug-flash.desktop
%{_iconsdir}/hicolor/*/apps/colorhug*.png
%{_iconsdir}/hicolor/*/apps/colorimeter-colorhug-inactive.png
%{_iconsdir}/hicolor/scalable/apps/colorhug.svg
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-ccmx.png*
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-ccmx.svg
%{_mandir}/man1/colorhug-flash.1*
%{_mandir}/man1/colorhug-ccmx.1*

%files -n bash-completion-colorhug
%defattr(644,root,root,755)
/etc/bash_completion.d/colorhug-cmd-completion.bash
%changelog
* Thu Nov 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/colorhug-client.git;a=log;h=master

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> ec1e36e
- updated to 0.2.1

* Fri Aug 02 2013 Jan Rękorajski <baggins@pld-linux.org> 3c75431
- removed leftovers of old libs

* Fri Aug 02 2013 Jan Rękorajski <baggins@pld-linux.org> 294378d
- workaround broken glob/symlink

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 4782c80
- updated to 0.2.0

* Wed Feb 13 2013 Jakub Bogusz <qboosh@pld-linux.org> ae45f7f
- updated to 0.1.14
- use libcolorhug from colord 0.1.29+

* Fri Nov 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 42f12d1
- libgusb 0.1.4 is required (gobject binding)

* Fri Nov 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 7eaff57
- updated to 0.1.13

* Sat Sep 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 1b6c439
- updated to 0.1.12

* Fri Jul 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 1307237
- updated to 0.1.11

* Fri Jun 29 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9bb0d4a
- remove empty de locale before changing de_DE to de; rel. 2

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 5867c5a
- updated to 0.1.10

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 2950d14
- updated to 0.1.9

* Sat Apr 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 9a2e500
- updated to 0.1.8

* Sat Mar 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 1deaac0
- updated to 0.1.7

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 2dc5f52
- updated to 0.1.6

* Fri Jan 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 1358799
- updated to 0.1.5

* Fri Jan 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 6dcbb40
- fix locale names (de,es,fr,it,nl; kill empty pl_PL version)

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 756c488
- up to 0.1.4

* Mon Jan 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 9e54577
- updated to 0.1.3

* Sun Dec 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3504386
- updated to 0.1.2

